package Common.Database.Objects.Grid;
import Common.Database.Objects.DBObject;
import com.sun.org.glassfish.gmbal.Description;

import java.util.Arrays;
import java.util.Vector;
import java.util.stream.Collectors;
public class TableVisualData extends DBObject {
    @Description("PRIMARY KEY, UNIQUE") //имя таблицы
    public String name = null;
    //todo запаковать в json (?)
    @Description("DEFAULT ''")
    public String sizes = "";  //ширины столбцов запакованные через |. вводить объекты ради них нецелесообразно.
    public TableVisualData() {
    }
    public TableVisualData(String name_in) {
        name = name_in;
        sizes = "";
    }
    @Override
    public Object getPK() {
        return name;
    }
    public Vector<Integer> unpack() {
        return Arrays.stream(sizes.split("\\|")).map(Integer::parseInt).collect(Collectors.toCollection(Vector::new));
    }
}
